HttpRequestToSoapRequest (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.soap.transformers.HttpRequestToSoapRequest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap.transformers
Class HttpRequestToSoapRequest

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.AbstractMessageAwareTransformer
              org.mule.transport.soap.transformers.HttpRequestToSoapRequest

All Implemented Interfaces:
  Initialisable, NamedObject, BaseTransformer, Transformer

    public class HttpRequestToSoapRequest

extends AbstractMessageAwareTransformer

A simple transformer for converting an Http GET request into a SOAP request. Usually, you would POST a SOAP document, but this Transformer can be useful for making simple SOAP requests

Field Summary
`static String` | `DEFAULT_NAMESPACE`
`static String` | `SOAP_FOOTER`
`static String` | `SOAP_HEADER`

Fields inherited from class org.mule.transformer.AbstractTransformer
`DEFAULT_TRUNCATE_LENGTH, endpoint, logger, name, returnClass, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`HttpRequestToSoapRequest()`

Method Summary
`Object` | `transform(MuleMessage message, String outputEncoding)`

Methods inherited from class org.mule.transformer.AbstractMessageAwareTransformer
`doTransform, isSourceTypeSupported`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, generateTransformerName, getEndpoint, getName, getReturnClass, getSourceTypes, initialise, isAcceptNull, isConsumed, isIgnoreBadInput, isSourceTypeSupported, registerSourceType, setEndpoint, setIgnoreBadInput, setName, setReturnClass, toString, transform, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SOAP_HEADER

    public static final String SOAP_HEADER

See Also:
  Constant Field Values

### SOAP_FOOTER

    public static final String SOAP_FOOTER

See Also:
  Constant Field Values

### DEFAULT_NAMESPACE

    public static final String DEFAULT_NAMESPACE

See Also:
  Constant Field Values

Constructor Detail

### HttpRequestToSoapRequest

    public HttpRequestToSoapRequest()

Method Detail

### transform

    public Object transform(MuleMessage message,
                            String outputEncoding)
                     throws TransformerException

  Specified by:
    `transform` in class `AbstractMessageAwareTransformer`
  Throws:
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.